Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 827397

Summary: 2.1 has been released , 3 years ago
Product: [Fedora] Fedora Reporter: Michael Schwendt <bugs.michael>
Component: libprojectMAssignee: Sergio Basto <sergio>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: alejandronova, imntreal, sergio
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: libprojectM-2.1.0-1.fc24 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1136399 (view as bug list) Environment:
Last Closed: 2016-04-02 15:56:20 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Michael Schwendt 2012-06-01 11:00:07 UTC
Haven't followed the project closely, but noticed the announcement when replying to the current thread on fedora list:

http://projectm.sourceforge.net/

[...]

5/24/12 - projectM 2.1 Released

    Hello from 2012. We got a new release for you. Surprisingly, we didn't refactor the code base this time. Instead, this release represents fixes from the open source community and fixes discovered when porting projectM to android.

        Fixed several memory leaks (when projectM gets destroyed, or when a preset gets destroyed)
        Resolved some parser errors and an embarrasing evaluation bug (in particular, 2^x does not equal x^2)
        +/- keys support to edit the ratings
        libvisual / gstreamer compatible
        Various cmake build fixes and improvements


    This was truly a community driven release- many people contributed to this one. Kudos to ximion, mastertrenten, the Clementine developers, and several others!

Comment 1 Michael Schwendt 2012-06-01 11:16:48 UTC
If you'd like today's bug-fix update for F-17 and F-16 to be withdrawn in favour of an upgrade to 2.1, just shout, and I'll glady pull them in bodhi.

Comment 2 Fedora End Of Life 2013-04-03 15:04:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Ernesto Manríquez 2013-08-04 20:32:18 UTC
Please, update this! Even Rawhide doesn't have the latest code.

Comment 4 Fedora End Of Life 2015-01-09 17:10:28 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Michael Schwendt 2015-01-10 11:01:24 UTC
*** Bug 1136399 has been marked as a duplicate of this bug. ***

Comment 6 Jan Kurik 2015-07-15 15:07:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 7 Sergio Basto 2015-12-25 04:53:44 UTC
Hi, 

This bug is open since 2012-06-01, I'm going do a request for nonresponsive package maintainer [1] . 
By https://bugzilla.redhat.com/show_bug.cgi?id=832823 last comment of Jameson (fas username : imntreal ) was around 2012-06-19, and don't have commits after this date ...  


[1] https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

Comment 8 Sergio Basto 2016-01-05 18:36:05 UTC
(In reply to Sergio Monteiro Basto from comment #7)
> Hi, 
> 
> This bug is open since 2012-06-01, I'm going do a request for nonresponsive
> package maintainer [1] . 
> By https://bugzilla.redhat.com/show_bug.cgi?id=832823 last comment of
> Jameson (fas username : imntreal ) was around 2012-06-19, and don't have
> commits after this date ...  
> 
> 
> [1]
> https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers

ping!, please reply , or please accept me as Package Administrator my intention is put all libprojectM in one package with all subpackages ( qt , jack, libvisual and pulseaudio ) like Debian do [1] it use , for that I need Package Administrator to retire them [2] 


[1] 
https://tracker.debian.org/pkg/projectm 
http://anonscm.debian.org/cgit/pkg-multimedia/projectm.git/ 

[2] 
https://admin.fedoraproject.org/pkgdb/package/rpms/libprojectM-qt/
https://admin.fedoraproject.org/pkgdb/package/rpms/projectM-jack/
https://admin.fedoraproject.org/pkgdb/package/rpms/projectM-libvisual/
https://admin.fedoraproject.org/pkgdb/package/rpms/projectM-pulseaudio/

Thanks.

Comment 9 Fedora Admin XMLRPC Client 2016-02-18 20:48:27 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Fedora Admin XMLRPC Client 2016-02-18 22:40:51 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 11 Fedora Update System 2016-03-19 02:49:52 UTC
libprojectM-2.1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-58ef522cd0

Comment 12 Fedora Update System 2016-03-20 03:58:07 UTC
libprojectM-2.1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-58ef522cd0

Comment 13 Fedora Update System 2016-04-02 15:56:15 UTC
libprojectM-2.1.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Ernesto Manríquez 2016-05-20 12:20:02 UTC
Is it possible to backport this to F23? I think, if this package was released 3  years ago, it must have worked well, at least, since F17.

Comment 15 Sergio Basto 2016-05-22 00:03:49 UTC
(In reply to Ernesto Manríquez from comment #14)
> Is it possible to backport this to F23? I think, if this package was
> released 3  years ago, it must have worked well, at least, since F17.

Hi, 
libprojectM 2.0.1 to 2.1.0 is a soname bump and can't do it in a stable release (without a big reason)

rpm -q libprojectM --provides
libprojectM.so.2.0.1()(64bit)

when in F24 
rpm -q libprojectM --provides
libprojectM.so.2()(64bit)

Exemplify :
dnf copr enable sergiomb/builds_for_Stable_Releases 
dnf update libprojectM libprojectM-qt -b
Error: package clementine-1.3.1-1.fc23.x86_64 requires libprojectM.so.2.0.1()(64bit), but none of the providers can be installed.
package vlc-2.2.3-1.fc23.x86_64 requires libprojectM.so.2.0.1()(64bit), but none of the providers can be installed

so to put new libprojectM in F23 we need rebuild all dependencies  ..

But you may install it from my copr repo builds_for_Stable_Releases 
dnf copr enable sergiomb/builds_for_Stable_Releases